pcl::PointXYZRGBL Struct Reference

`#include <pcl/impl/point_types.hpp>`

Inheritance diagram for pcl::PointXYZRGBL:

## Public Member Functions

| PointXYZRGBL (const _PointXYZRGBL &p)
| PointXYZRGBL (std::uint32_t _label=0)
| PointXYZRGBL (std::uint8_t _r, std::uint8_t _g, std::uint8_t _b)
| PointXYZRGBL (float _x, float _y, float _z)
| PointXYZRGBL (float _x, float _y, float _z, std::uint8_t _r, std::uint8_t _g, std::uint8_t _b, std::uint32_t _label=0)

## Friends

std::ostream & | operator<< (std::ostream &os, const PointXYZRGBL &p)

## Additional Inherited Members

Public Attributes inherited from pcl::_PointXYZRGBL
| PCL_ADD_POINT4D
| PCL_ADD_RGB
std::uint32_t | label

## Detailed Description

Definition at line 705 of file point_types.hpp.

## Constructor & Destructor Documentation

## PointXYZRGBL() [1/5]

pcl::PointXYZRGBL::PointXYZRGBL | ( | const _PointXYZRGBL & | p | ) |

inline

Definition at line 707 of file point_types.hpp.

References pcl::_PointXYZRGBL::label.

## PointXYZRGBL() [2/5]

pcl::PointXYZRGBL::PointXYZRGBL | ( | std::uint32_t | _label = `0` | ) |

inline

Definition at line 714 of file point_types.hpp.

## PointXYZRGBL() [3/5]

pcl::PointXYZRGBL::PointXYZRGBL | ( | std::uint8_t | _r,
|  | std::uint8_t | _g,
|  | std::uint8_t | _b
| ) |  |

inline

Definition at line 717 of file point_types.hpp.

## PointXYZRGBL() [4/5]

pcl::PointXYZRGBL::PointXYZRGBL | ( | float | _x,
|  | float | _y,
|  | float | _z
| ) |  |

inline

Definition at line 720 of file point_types.hpp.

## PointXYZRGBL() [5/5]

pcl::PointXYZRGBL::PointXYZRGBL | ( | float | _x,
|  | float | _y,
|  | float | _z,
|  | std::uint8_t | _r,
|  | std::uint8_t | _g,
|  | std::uint8_t | _b,
|  | std::uint32_t | _label = `0`
| ) |  |

inline

Definition at line 723 of file point_types.hpp.

## Friends And Related Function Documentation

## operator<<

std::ostream& operator<< | ( | std::ostream & | os,
|  | const PointXYZRGBL & | p
| ) |  |

friend

The documentation for this struct was generated from the following file:

- pcl/impl/point_types.hpp